URL: https://github.com/freeipa/freeipa/pull/827
Author: MartinBasti
 Title: #827: pylint: explicitly depends on python2-pylint
Action: synchronized

To pull the PR as Git branch:
git remote add ghfreeipa https://github.com/freeipa/freeipa
git fetch ghfreeipa pull/827/head:pr827
git checkout pr827
From 4c034e3644f337a3c904886cd83e31e07fcfa9ef Mon Sep 17 00:00:00 2001
From: Martin Basti <mba...@redhat.com>
Date: Fri, 26 May 2017 22:30:28 +0200
Subject: [PATCH] pylint: explicitly depends on python2-pylint

F26 defaults to python3 with pylint package, we have to explicitly ask
for python2 version of pylint

https://pagure.io/freeipa/issue/6986
---
 freeipa.spec.in | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/freeipa.spec.in b/freeipa.spec.in
index 3cb137f3a7..30b137396b 100644
--- a/freeipa.spec.in
+++ b/freeipa.spec.in
@@ -170,7 +170,11 @@ BuildRequires:  samba-python
 # 1.6: x509.Name.rdns (https://github.com/pyca/cryptography/issues/3199)
 BuildRequires:  python2-cryptography >= 1.6
 BuildRequires:  python-gssapi >= 1.2.0
-BuildRequires:  pylint >= 1.6
+%if 0%{?fedora} >= 26
+BuildRequires:  python2-pylint
+%else
+BuildRequires:  python-pylint >= 1.6
+%endif
 # workaround for https://bugzilla.redhat.com/show_bug.cgi?id=1096506
 BuildRequires:  python2-polib
 BuildRequires:  python-libipa_hbac
_______________________________________________
FreeIPA-devel mailing list -- freeipa-devel@lists.fedorahosted.org
To unsubscribe send an email to freeipa-devel-le...@lists.fedorahosted.org

Reply via email to